Logs
View as MarkdownRead application and build logs.
Authorization
oauth2 hosting.paas.logs:readAuthorizationBearer <token>
GoDaddy OAuth access token (Bearer)
In: header
Scope: hosting.paas.logs:read
Path Parameters
appId*string
Query Parameters
target*string
Value in
- "preview"
- "publish"
source*string
since*string
lines?integer
Range
1 <= value <= 500Response Body
application/json
application/json
curl -X GET "https://example.com/apps/string/logs?target=preview&source=string&since=string"{ "logs": [ { "timestamp": "string", "source": "string", "message": "string", "level": "string" } ], "total": 0}Agent & Automation Notes
Scopes
hosting.paas.apps:read, hosting.paas.apps:create, hosting.paas.apps:update, hosting.paas.apps:delete, hosting.paas.code:write, hosting.paas.deploy:execute, hosting.paas.secrets:write, hosting.paas.logs:readRate limit10–120 req/min per client IP depending on operation
On failureCreate app returns 202 with a job. Poll GET /apps/jobs/{jobId} until active or failed. Upload and publish return 200 with a job or deployment record. Poll the matching status endpoint until complete. GET operations are safe to retry. Do not resubmit writes without checking current state.
Related
Last updated on
How is this guide?